
From: Kevin Corry <kevcorry@us.ibm.com>

Remove superfluous kcopyd INIT_LIST_HEAD.

From: Alasdair Kergon <agk@redhat.com>
Signed-off-by: Kevin Corry <kevcorry@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/md/kcopyd.c |    4 ----
 1 files changed, 4 deletions(-)

diff -puN drivers/md/kcopyd.c~dm-1-5-kcopyd-remove-superfluous-init_list_heads drivers/md/kcopyd.c
--- 25/drivers/md/kcopyd.c~dm-1-5-kcopyd-remove-superfluous-init_list_heads	Wed Jun  9 14:23:09 2004
+++ 25-akpm/drivers/md/kcopyd.c	Wed Jun  9 14:23:09 2004
@@ -220,10 +220,6 @@ static LIST_HEAD(_pages_jobs);
 
 static int __init jobs_init(void)
 {
-	INIT_LIST_HEAD(&_complete_jobs);
-	INIT_LIST_HEAD(&_io_jobs);
-	INIT_LIST_HEAD(&_pages_jobs);
-
 	_job_cache = kmem_cache_create("kcopyd-jobs",
 				       sizeof(struct kcopyd_job),
 				       __alignof__(struct kcopyd_job),
_
